Summary:	LDAPget application module for the Asterisk PBX
Name:		asterisk-app_ldap
Version:	0.9.3
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://www.mezzo.net/asterisk/app_ldap.html
Source0:	http://www.mezzo.net/asterisk/app_ldap-%{version}.tar.bz2
Patch0:		app_ldap-0.9.3-mdk_conf.diff.bz2
Patch1:		app_ldap-0.9.3-head_fix.diff.bz2
BuildRequires:	openldap-devel
BuildRequires:	asterisk-devel >= 1.0.8
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
LDAPget is an Asterisk application for data retrieval from LDAP
directories (e.g. OpenLDAP or ActiveDirectory). LDAPget does not
require you to use a specific LDAP schema. If the requested data
is found in the directory it is assigned to a given variable an
the priority is increased by 101.

%prep

%setup -q -n app_ldap
%patch0 -p1
%patch1 -p0

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make \
    RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE -DASTERISK_VERSION_NUM=999999 -DLDAP_DEPRECATED"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 ldap.conf %{buildroot}%{_sysconfdir}/asterisk/app_ldap.conf
install -m0755 app_ldap.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/app_ldap.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_ldap.so

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Wed May 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-2mdk
- added P0 to comply with HEAD changes
- added fixes so that it compiles against asterisk HEAD

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.3-1mdk
- initial package
